<?xml version="1.0" encoding="UTF-8" ?>
<!--
IGAC proyecto SNC

@author fredy.wilches
@version 2.0
@description Formulario de ejecución  
@cu CU-CO-V-01

-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui"
             id="datosTorrePanelGrid" cellspacing="10">

    <p:messages id="msgTorre" showDetail="false" globalOnly="false" />

    <h:panelGrid columns="4">

        <h:outputLabel value="No. torre:" styleClass="outputLabelStyle" />
        <h:outputText
            value="#{managedBeanParam.fichaMatrizTorreSeleccionada.torre}" />

        <p:spacer width="0" height="0" />
        <p:spacer width="0" height="0" />

        <h:panelGrid columns="2">
            <h:outputLabel value="Total pisos torre:"
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
        </h:panelGrid>
        <h:panelGrid columns="2">
            <h:inputText required="true"
                         value="#{managedBeanParam.fichaMatrizTorreSeleccionada.pisos}"
                         id="totalPisos" label="Total pisos torre" maxlength="4" />
            <p:message for="totalPisos" display="icon" id="totalPisosMsg" />
        </h:panelGrid>

        <h:panelGrid columns="2">
            <h:outputLabel value="Total unidades privadas:"
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
        </h:panelGrid>
        <h:panelGrid columns="2">
            <h:inputText required="true"
                         value="#{managedBeanParam.fichaMatrizTorreSeleccionada.unidades}"
                         id="totalUnidadesPrivadas" label="Total unidades" maxlength="4" />
            <p:message for="totalUnidadesPrivadas" display="icon"
                       id="totalUnidadesPrivadasMsg" />
        </h:panelGrid>

        <h:outputLabel value="Total sótanos:" styleClass="outputLabelStyle" />
        <h:panelGrid columns="2">
            <h:inputText
                value="#{managedBeanParam.fichaMatrizTorreSeleccionada.sotanos}"
                id="totalSotanos" label="Total sótanos" maxlength="4"/>
            <p:message for="totalSotanos" display="icon" id="totalSotanosMsg" />
        </h:panelGrid>

        <h:outputLabel value="Total unidades sótanos:"
                       styleClass="outputLabelStyle" />
        <h:panelGrid columns="2">
            <h:inputText
                value="#{managedBeanParam.fichaMatrizTorreSeleccionada.unidadesSotanos}"
                id="totalUnidadesSotanos" label="Total unidades sótanos" maxlength="4"/>
            <p:message for="totalUnidadesSotanos" display="icon"
                       id="totalUnidadesSotanosMsg" />
        </h:panelGrid>
    </h:panelGrid>

    <p:outputPanel layout="block" style="text-align:right">
        <p:commandButton action="#{managedBeanParam.aceptarTorre}"
                         oncomplete="handleCompleteSIC(xhr, status, args, datosTorreWV, false)" value="Aceptar"
                         update=":gestionarFichaMatrizForm, msgTorre"
                         icon="ui-icon-check" />
    </p:outputPanel>
</h:panelGrid>